Cgl 0.60.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Private Attributes | List of all members
CoinWarmStartVectorPair< T, U > Class Template Reference

`#include <CoinWarmStartVector.hpp>`

Inheritance diagram for CoinWarmStartVectorPair< T, U >:
[legend]
Collaboration diagram for CoinWarmStartVectorPair< T, U >:
[legend]

## Public Member Functions
int | size0 () const
int | size1 () const
const T * | values0 () const
const U * | values1 () const
void | assignVector0 (int size, T *&vec)
void | assignVector1 (int size, U *&vec)
| CoinWarmStartVectorPair ()
| CoinWarmStartVectorPair (int s0, const T *v0, int s1, const U *v1)
| CoinWarmStartVectorPair (const CoinWarmStartVectorPair< T, U > &rhs)
CoinWarmStartVectorPair & | operator= (const CoinWarmStartVectorPair< T, U > &rhs)
void | swap (CoinWarmStartVectorPair< T, U > &rhs)
virtual CoinWarmStart * | clone () const
| `Virtual constructor' More...
virtual | ~CoinWarmStartVectorPair ()
void | clear ()
virtual CoinWarmStartDiff * | generateDiff (const CoinWarmStart *const oldCWS) const
virtual void | applyDiff (const CoinWarmStartDiff *const cwsdDiff)
Public Member Functions inherited from CoinWarmStart
virtual | ~CoinWarmStart ()
| Abstract destructor. More...

## Private Attributes
CoinWarmStartVector< T > | t_
CoinWarmStartVector< U > | u_

## Detailed Description

### template<typename T, typename U>
class CoinWarmStartVectorPair< T, U >

Definition at line 250 of file CoinWarmStartVector.hpp.

## Constructor & Destructor Documentation

template<typename T, typename U>

CoinWarmStartVectorPair< T, U >::CoinWarmStartVectorPair | ( |  | ) |
| inline

Definition at line 264 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

CoinWarmStartVectorPair< T, U >::CoinWarmStartVectorPair | ( | int | s0,
|  | const T * | v0,
|  | int | s1,
|  | const U * | v1
| ) |  |
| inline

Definition at line 265 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

CoinWarmStartVectorPair< T, U >::CoinWarmStartVectorPair | ( | const CoinWarmStartVectorPair< T, U > & | rhs | ) |
| inline

Definition at line 271 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

virtual CoinWarmStartVectorPair< T, U >::~CoinWarmStartVectorPair | ( |  | ) |
| inline virtual

Definition at line 296 of file CoinWarmStartVector.hpp.

## Member Function Documentation

template<typename T, typename U>

int CoinWarmStartVectorPair< T, U >::size0 | ( |  | ) | const
| inline

Definition at line 256 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

int CoinWarmStartVectorPair< T, U >::size1 | ( |  | ) | const
| inline

Definition at line 257 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

const T* CoinWarmStartVectorPair< T, U >::values0 | ( |  | ) | const
| inline

Definition at line 258 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

const U* CoinWarmStartVectorPair< T, U >::values1 | ( |  | ) | const
| inline

Definition at line 259 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

void CoinWarmStartVectorPair< T, U >::assignVector0 | ( | int | size,
|  | T *& | vec
| ) |  |
| inline

Definition at line 261 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

void CoinWarmStartVectorPair< T, U >::assignVector1 | ( | int | size,
|  | U *& | vec
| ) |  |
| inline

Definition at line 262 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

CoinWarmStartVectorPair& CoinWarmStartVectorPair< T, U >::operator= | ( | const CoinWarmStartVectorPair< T, U > & | rhs | ) |
| inline

Definition at line 276 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

void CoinWarmStartVectorPair< T, U >::swap | ( | CoinWarmStartVectorPair< T, U > & | rhs | ) |
| inline

Definition at line 285 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

virtual CoinWarmStart* CoinWarmStartVectorPair< T, U >::clone | ( |  | ) | const
| inline virtual

`Virtual constructor'

Implements CoinWarmStart.

Definition at line 291 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

void CoinWarmStartVectorPair< T, U >::clear | ( |  | ) |
| inline

Definition at line 298 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

virtual CoinWarmStartDiff* CoinWarmStartVectorPair< T, U >::generateDiff | ( | const CoinWarmStart *const | oldCWS | ) | const
| virtual

Reimplemented from CoinWarmStart.

template<typename T, typename U>

virtual void CoinWarmStartVectorPair< T, U >::applyDiff | ( | const CoinWarmStartDiff *const | cwsdDiff | ) |
| virtual

Reimplemented from CoinWarmStart.

## Member Data Documentation

template<typename T, typename U>

CoinWarmStartVector< T > CoinWarmStartVectorPair< T, U >::t_
| private

Definition at line 252 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

CoinWarmStartVector< U > CoinWarmStartVectorPair< T, U >::u_
| private

Definition at line 253 of file CoinWarmStartVector.hpp.

The documentation for this class was generated from the following file:

- /tmp/Cgl-0.60.2/CoinUtils/src/CoinWarmStartVector.hpp